OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
smallmap_gui.h File Reference

Smallmap GUI functions. More...

`#include "industry_type.h"`
`#include "company_base.h"`
`#include "window_gui.h"`
`#include "strings_func.h"`
`#include "blitter/factory.hpp"`
`#include "linkgraph/linkgraph_gui.h"`
`#include "widgets/smallmap_widget.h"`

Go to the source code of this file.

## Data Structures
struct | LegendAndColour
| Structure for holding relevant data for legends in small map. More...
class | SmallMapWindow
| Class managing the smallmap window. More...

## Functions
void | BuildLinkStatsLegend ()
| Populate legend table for the link stat view.
void | BuildIndustriesLegend ()
| Fills an array for the industries legends.
void | ShowSmallMap ()
| Show the smallmap window.
void | BuildLandLegend ()
| (Re)build the colour tables for the legends.
void | BuildOwnerLegend ()
| Completes the array for the owned property legend.

## Detailed Description

Smallmap GUI functions.

Definition in file smallmap_gui.h.